如何在Ubuntu和Linux Mint上安装Linux Kernel 4.11

Linux内核

在最近两个月的开发中,Linux Kernel 4.11于30月XNUMX日发布,具有许多改进和新功能。

在Linux Kernel 4.11的主要新颖性中,我们可以着重介绍 交换 可在SSD驱动器上扩展,支持OPAL标准 旨在进行自动磁盘加密,提高了兼容性 Intel Turbo Boost Max Technology 3.0技术和对Intel Gemini Lake处理器的支持,它们基于Atom芯片组。

同样,Linux内核4.11还增加了对Realtek ALC1220的支持,而AMD Radeon GPU在运行此新内核版本时将使用较少的功率。

要发现此新内核4.11的所有新闻和改进,请随时关注 本文 敬业。

如何在Ubuntu和Linux Mint上安装Linux Kernel 4.11

您可以使用UKUU(一种简单的图形工具)在Ubuntu中安装最新的Linux内核,尽管您也可以从命令控制台通过逐个执行以下代码来完成此操作。

对于64位系统:

cd /tmp/

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11/linux-headers-4.11.0-041100_4.11.0-041100.201705041534_all.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11/linux-headers-4.11.0-041100-generic_4.11.0-041100.201705041534_amd64.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11/linux-image-4.11.0-041100-generic_4.11.0-041100.201705041534_amd64.deb

sudo dpkg -i *.deb

对于32位系统:

cd /tmp/

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11/linux-headers-4.11.0-041100_4.11.0-041100.201705041534_all.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11/linux-headers-4.11.0-041100-generic_4.11.0-041100.201705041534_i386.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11/linux-image-4.11.0-041100-generic_4.11.0-041100.201705041534_i386.deb

sudo dpkg -i *.deb

安装这些deb之后,请重新启动计算机并使用新的Linux内核。

卸载Linux Kernel 4.11:

要卸载Linux Kernel 4.11,请重新启动计算机,并使用先前的内核(从Grub bootloader-> Advanced options)选择启动,然后执行以下命令:

sudo apt-get remove linux-headers-4.11* linux-image-4.11*

5条评论,留下您的评论

发表您的评论

您的电子邮件地址将不会被发表。 必填字段标有 *

*

*

  1. 负责数据:MiguelÁngelGatón
  2. 数据用途:控制垃圾邮件,注释管理。
  3. 合法性:您的同意
  4. 数据通讯:除非有法律义务,否则不会将数据传达给第三方。
  5. 数据存储:Occentus Networks(EU)托管的数据库
  6. 权利:您可以随时限制,恢复和删除您的信息。

  1.   埃纳尔

    如果我将xubuntu 16.04.2的内核更新为xubuntu 4.11的内核,我的发行版会继续是lts吗,并且会像lts一样稳定地继续更新吗? 谢谢。 你好。

  2.   埃纳尔

    还有另一个问题,专有驱动程序?我需要先将其卸载然后手动安装吗?因为在xubuntu lts中,您以图形方式进行了此操作,没有复杂性,嗯,在我看来,您在安装此内核之前没有任何解释,我应该先卸载专有驱动程序吗,好吧,如果我认为您找不到不错的黑屏,对吗?

  3.   Patrick(英国)

    一个问题,是否需要首先卸载专有的nvidia驱动程序?

  4.   圣地亚哥·何塞·洛佩斯·波拉萨斯(SantiagoJoséLópezBorrazás)

    我会回答你们两个:

    1st)如果您有内核4.11。 其余的,您将没有问题,但是您将继续拥有4.11内核(是的,但是首先删除先前的内核)。

    2º)关于专有驱动程序,首先,您应该安装一些以前的GCC软件包,为此,您应该这样做:

    apt-get build-dep linux-源

    实际上,它将为您提供NECESSARY软件包,以便您可以编译当时拥有的本机驱动程序。

    这对于第一个答案和第二个答案都是有用的。

    我有Debian Unstable(SID),我可以说很多,并且像今天一样,我已经安装并编译了内核。 你在我的博客上有它:

    http://www.sjlopezb.es/2017/05/kernel-4110.html

    如果您还有其他需要,无论是在我的Facebook墙上还是在我的博客上,您都可以询问我,我会为您提供所需的其他信息。

    编译内核4.11不难...没办法...

    干杯…

  5.   路易斯

    该说明非常清晰明了,另一种选择是输入(http://kernel.ubuntu.com/~kernel-ppa/mainline/)“。deb”中用于Ubuntu和衍生产品的内核(已编译)在哪里,如果您要尝试通过单击要下载的文件来尝试存在“ lowlatency”内核,我尤其不要卸载任何内核或图形,因为如果有问题我可以返回旧内核,我们知道Grub会为您提供该选项,即问候语。